import request from '@/utils/request'
import Qs from 'qs'

export function getUser(params) {
  return request({
    url: 'wcporderuser/userList',
    method: 'get',
    params
  })
}

export function getPdList(params) {
  return request({
    url: 'wcporderuser/pdList',
    method: 'get',
    params
  })
}

export function getViewList(query) {
  return request({
    url: 'wcporderuser/queryViewList',
    method: 'get',
    params: query
  })
}
export function updatePd(data) {
  return request({
    url: 'wcporderlistpd/updatePd',
    method: 'get',
    params: data
  })
}

export function getDelList(query) {
  return request({
    url: '/wcporderlistpd/getDelList',
    method: 'get',
    params: query
  })
}

export function getDelListCount(query) {
  return request({
    url: '/wcporderlistpd/getDelListCount',
    method: 'get',
    params: query
  })
}

export function delPd(data) {
  return request({
    url: '/wcporderlistpd/delPd',
    method: 'get',
    params: data
  })
}
export function getDicts(dictType) {
  return request({
    url: '/system/dict/data/type/' + dictType,
    method: 'get'
  })
}
